<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.customer.mapper.FctPrmViolationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.customer.entity.FctPrmViolation">
        <result column="DTYPE" property="dtype" />
        <result column="THEDVALUE" property="thedvalue" />
        <result column="SPCODE" property="spcode" />
        <result column="SPID" property="spid" />
        <result column="PROVINCE" property="province" />
        <result column="SPNAME" property="spname" />
        <result column="COMPLAINT_MONTH" property="complaintMonth" />
        <result column="VIOLATION_APPROVE_MONTH" property="violationApproveMonth" />
        <result column="VIOLATION_LEVEL" property="violationLevel" />
        <result column="VIOLATION_DESC" property="violationDesc" />
        <result column="DEDUCT_STATUS" property="deductStatus" />
        <result column="DEDUCT_MONEY" property="deductMoney" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        DTYPE, THEDVALUE, SPCODE, SPID, PROVINCE, SPNAME, COMPLAINT_MONTH, VIOLATION_APPROVE_MONTH, VIOLATION_LEVEL, VIOLATION_DESC, DEDUCT_STATUS, DEDUCT_MONEY
    </sql>

</mapper>
